Get Tire Pressure
curl --request GET \
--url https://api.tessie.com/{vin}/tire_pressure \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tessie.com/{vin}/tire_pressure"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tessie.com/{vin}/tire_pressure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"front_left": 2.275,
"front_right": 2.325,
"rear_left": 2.4,
"rear_right": 2.425,
"front_left_status": "low",
"front_right_status": "low",
"rear_left_status": "low",
"rear_right_status": "low",
"timestamp": 1645131216
}Vehicle Data
Get Tire Pressure
Returns the tire pressure of a vehicle, measured in bar.
Requires firmware 2022.4.5+.
GET
/
{vin}
/
tire_pressure
Get Tire Pressure
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The associated VIN.
Query Parameters
The pressure unit.
Available options:
bar, kpa, psi Example:
"psi"
The start of the timeframe. Unix timestamp in seconds.
The end of the timeframe. Unix timestamp in seconds.
Response
200 - application/json
Success
Available options:
unknown, low, normal Available options:
unknown, low, normal Available options:
unknown, low, normal Available options:
unknown, low, normal 
